## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class VMStartEvent

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMEvent
          org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMStartEvent

All Implemented Interfaces:
  java.io.Serializable

    public class VMStartEvent

extends VMEvent

See Also:
  Serialized Form

Field Summary
`java.lang.String` `mainModuleName`
`boolean` `suspendOnStartup`

Constructor Summary
`VMStartEvent(java.lang.String mainModuleName, boolean suspendOnStartup)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### suspendOnStartup

    public final boolean suspendOnStartup

### mainModuleName

    public final java.lang.String mainModuleName

Constructor Detail

### VMStartEvent

    public VMStartEvent(java.lang.String mainModuleName,
                        boolean suspendOnStartup)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.